#version 330 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 texCoords;
layout(location = 2) in vec3 normal;

out vec3 FragPos;
out vec3 Normal;
out vec2 TexCoords;
out vec4 FragPosLightSpace;

uniform mat4 MVP;
uniform mat4 V;
uniform mat4 M;
uniform mat4 lightSpaceMatrix;

void main(){
	gl_Position =  MVP * vec4(position,1);
	
	FragPos = vec3(M * vec4(position, 1.0));
    Normal = transpose(inverse(mat3(M))) * normal;
    TexCoords = texCoords;
    FragPosLightSpace = lightSpaceMatrix * vec4(FragPos, 1.0);
}
